summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test/Makefile.am4
-rwxr-xr-xtest/check_fuzzyiso.sh33
2 files changed, 35 insertions, 2 deletions
diff --git a/test/Makefile.am b/test/Makefile.am
index cdef39e1..27fdf818 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.45 2005/01/23 00:45:57 rocky Exp $
+# $Id: Makefile.am,v 1.46 2005/02/08 04:38:05 rocky Exp $
#
# Copyright (C) 2003, 2004, 2005 Rocky Bernstein <rocky@panix.com>
#
@@ -49,7 +49,7 @@ testbincue_LDADD = $(LIBCDIO_LIBS)
testbincue_CFLAGS = -DTEST_DIR=\"$(srcdir)\"
check_SCRIPTS = check_nrg.sh check_cue.sh check_cd_read.sh \
- check_iso.sh check_paranoia.sh check_opts.sh
+ check_iso.sh check_fuzzyiso.sh check_paranoia.sh check_opts.sh
# If we beefed this up so it checked to see if a CD-DA was loaded
# it could be an automatic test. But for now, not so.
# check_paranoia.sh
diff --git a/test/check_fuzzyiso.sh b/test/check_fuzzyiso.sh
new file mode 100755
index 00000000..90278cee
--- /dev/null
+++ b/test/check_fuzzyiso.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+#$Id: check_fuzzyiso.sh,v 1.1 2005/02/08 04:38:05 rocky Exp $
+
+if test -z $srcdir ; then
+ srcdir=`pwd`
+fi
+
+check_program="../example/iso4"
+
+if test ! -x $check_program ; then
+ exit 77
+fi
+
+for file in *.bin *.iso *.nrg ; do
+ case "$file" in
+ cdda.bin | cdda-mcn.nrg | svcdgs.nrg )
+ good_rc=1
+ ;;
+ *)
+ good_rc=0
+ ;;
+ esac
+ $check_program $file
+ if test $? -ne $good_rc ; then
+ exit 1
+ fi
+done
+exit 0
+
+#;;; Local Variables: ***
+#;;; mode:shell-script ***
+#;;; eval: (sh-set-shell "bash") ***
+#;;; End: ***